/* c't Mikrocontroller-im-LAN Demo Source
 * Datei: key.h 
 * Info: Routinen zum Einlesen der Taster
 * Autor: Benjamin Benz (bbe@heise.de)
 * Datum: 24.06.04
 * Ergaenzungen von Marcus von Cube (marcus@mvcsys.de)
*/

#define KEY_GRUEN  0x40
#define KEY_GELB   0x20
#define KEY_ORANGE 0x10
#define KEY_ROT    0x08
#define KEY_ALL    0x78

#define KEY_TIMEOUT 255

extern unsigned char old_keys;

/*
 *  Liest den Port mit den Tasten ohne Entprellung und Flankenerkennung
 */
unsigned char key_port( void );

/*
 *  Liest alle Tasten aus. Wartet bis zu timeout
 *  und kehrt dann auch zurueck, wenn keine Aenderung erfolgt ist.
 */
unsigned char key_read( unsigned char timeout );
